/**********************************************************************
* File: Main_4.c -- File for Lab 4
* Devices: TMS320F2812, TMS320F2811, TMS320F2810
* Author: Technical Training Organization (TTO), Texas Instruments
* History:
*   07/01/04 - original (based on DSP281x header files v1.00)
**********************************************************************/

#include "DSP281x_Device.h"				// Peripheral address definitions
#include "lab.h"

/**********************************************************************
* Function: main()
*
* Description: Main function for C28x workshop labs
**********************************************************************/
void main(void)
{
/*** Initialization ***/
	InitSysCtrl();						// Initialize the CPU (FILE: SysCtrl.c)
	InitGpio();							// Initialize the shared GPIO pins (FILE: Gpio.c)
	InitPieCtrl();						// Enable the PIE (FILE: PieCtrl.c)
	InitAdc();							// Initialize the ADC (FILE: Adc.c)
	InitEv();							// Initialize the Event Manager (FILE: Ev.c) 

/*** Enable the Watchdog interrupt ***/
	PieCtrlRegs.PIEIER1.bit.INTx8 = 1;	// Enable WAKEINT (LPM/WD) in PIE group #1
	IER |= 0x0001;						// Enable INT1 in IER to enable PIE group 1

/*** Enable global interrupts ***/
	asm(" CLRC INTM");			// Enable global interrupts
	
/*** Main Loop ***/
	while(1)							// endless loop - wait for an interrupt
	{
		asm(" NOP");
	}


} //end of main()


/*** end of file *****************************************************/
