/**********************************************************************
* File: User_6.cmd -- User linker command file for Lab 6
* Devices: TMS320F2812
* Author: Technical Training Organization (TTO), Texas Instruments
* History:
*   07/01/04 - original
**********************************************************************/


/**************************************************************/
/* Link all user defined sections                             */
/**************************************************************/
SECTIONS
{

/*** User Defined Sections ***/
   codestart         : > BEGIN_FLASH,      PAGE = 0   /* Used by file CodeStartBranch.asm */

/*** IQmath Sections ***/
   IQmathTables      : > BOOTROM,          PAGE = 0, TYPE = NOLOAD
   IQmath            : > H0SARAM,          PAGE = 0

/*** Code Security Password Locations ***/
   passwords         : > PASSWORDS,        PAGE = 0
   csm_rsvd          : > CSM_RSVD,         PAGE = 0

/*** Section ramfuncs used by InitFlash() in Flash.c ***/ 
   secureRamFuncs    :   LOAD = FLASH,     PAGE = 0   
                         RUN = L1SARAM,    PAGE = 0   /* must be CSM secured RAM */
                         LOAD_START(_secureRamFuncs_loadstart),
                         LOAD_END(_secureRamFuncs_loadend),
                         RUN_START(_secureRamFuncs_runstart)

}
